Skip to main content

List Donations

Get a paginated list of donations.

GET
/donation/list
x-api-key<token>

API key used for authentication

In: header

Query Parameters

limit?integer

Max results to return (1-100, default 50)

Default50
Range1 <= value <= 100
cursor?string

Cursor for pagination (pass nextCursor from previous response)

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/donation/list"
{
  "donations": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "amount": 1000,
      "currency": "usd",
      "donorName": "John Doe",
      "donorEmail": "john@example.com",
      "message": "Great content!",
      "paymentMethodLast4": "4242",
      "country": "US",
      "discordUserId": null,
      "discordRoleAssigned": false,
      "createdAt": "2026-04-11T01:15:19.216Z"
    }
  ],
  "nextCursor": null
}
{
  "error": "string",
  "code": "string",
  "details": {}
}